Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.sep
Class SepPostingsReader

    java.lang.Object
      org.apache.lucene.codecs.PostingsReaderBase
          org.apache.lucene.codecs.sep.SepPostingsReader

All Implemented Interfaces:
  Closeable

    public class SepPostingsReader

extends PostingsReaderBase

Concrete class that reads the current doc/freq/skip postings format.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SepPostingsReader(Directory dir, FieldInfos fieldInfos, SegmentInfo segmentInfo, IOContext context, IntStreamFactory intFactory, String segmentSuffix)`

Method Summary
`void` | `close()`
`DocsEnum` | `docs(FieldInfo fieldInfo, BlockTermState _termState, Bits liveDocs, DocsEnum reuse, int flags)`
`DocsAndPositionsEnum` | `docsAndPositions(FieldInfo fieldInfo, BlockTermState _termState, Bits liveDocs, DocsAndPositionsEnum reuse, int flags)`
`void` | `init(IndexInput termsIn)`
`BlockTermState` | `newTermState()`
`void` | `nextTerm(FieldInfo fieldInfo, BlockTermState _termState)`
`void` | `readTermsBlock(IndexInput termsIn, FieldInfo fieldInfo, BlockTermState _termState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SepPostingsReader

    public SepPostingsReader(Directory dir,
                             FieldInfos fieldInfos,
                             SegmentInfo segmentInfo,
                             IOContext context,
                             IntStreamFactory intFactory,
                             String segmentSuffix)
                      throws IOException

Throws:
  `IOException`

Method Detail

### init

    public void init(IndexInput termsIn)
              throws IOException

  Specified by:
    `init` in class `PostingsReaderBase`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `PostingsReaderBase`
  Throws:
    `IOException`

### newTermState

    public BlockTermState newTermState()
                                throws IOException

  Specified by:
    `newTermState` in class `PostingsReaderBase`
  Throws:
    `IOException`

### readTermsBlock

    public void readTermsBlock(IndexInput termsIn,
                               FieldInfo fieldInfo,
                               BlockTermState _termState)
                        throws IOException

  Specified by:
    `readTermsBlock` in class `PostingsReaderBase`
  Throws:
    `IOException`

### nextTerm

    public void nextTerm(FieldInfo fieldInfo,
                         BlockTermState _termState)
                  throws IOException

  Specified by:
    `nextTerm` in class `PostingsReaderBase`
  Throws:
    `IOException`

### docs

    public DocsEnum docs(FieldInfo fieldInfo,
                         BlockTermState _termState,
                         Bits liveDocs,
                         DocsEnum reuse,
                         int flags)
                  throws IOException

  Specified by:
    `docs` in class `PostingsReaderBase`
  Throws:
    `IOException`

### docsAndPositions

    public DocsAndPositionsEnum docsAndPositions(FieldInfo fieldInfo,
                                                 BlockTermState _termState,
                                                 Bits liveDocs,
                                                 DocsAndPositionsEnum reuse,
                                                 int flags)
                                          throws IOException

  Specified by:
    `docsAndPositions` in class `PostingsReaderBase`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.